CORESCHED(1)

NAMN
coresched - hantera cookies för kärnschemaläggning för uppgifter

SYNOPSIS

coresched [get] [-s pid]

coresched new [-t typ] -d pid

coresched new [-t typ] -- kommando [argument...]

coresched copy [-s pid] [-t typ] -d pid

coresched copy [-s pid] [-t typ] -- kommando [argument...]

BESKRIVNING

Kommandot coresched används för att hämta eller ändra cookies för kärnschemaläggning för en process som körs med hjälp av dess pid, eller för att skapa ett nytt kommando med cookies för kärnschemaläggning.

Med kärnschemaläggning kan man definiera grupper av uppgifter som får dela en fysisk kärna. Detta görs genom att tilldela en cookie till varje task. Endast uppgifter som har samma cookie får schemaläggas på samma fysiska kärna.

Det är möjligt att antingen tilldela en ny slumpmässig cookie till en uppgift eller kopiera en cookie från en annan uppgift. Det är inte möjligt att välja kakans värde.

FUNKTIONER

get
    Hämtar cookien för kärnschemaläggning för den PID som anges i -s. Om -s utelämnas hämtas cookien för den aktuella coresched-processen.

nytt
    Tilldela en ny cookie till en befintlig PID som anges i -d, eller utför kommando med en ny cookie.

kopiera
    Kopiera cookien från en befintlig PID (-s) till en annan PID (-d), eller kör kommando med den cookien. Om -s utelämnas hämtas cookien för den aktuella coresched-processen.

Om ingen funktion anges kommer funktionen get att köras.

FLAGGOR

-s, --source PID
    Vilken PID som cookien ska hämtas från. Om denna flagga utelämnas hämtas cookien från den aktuella coresched processen.

-d, --dest PID
    Vilket PID du ska ändra cookien för.

-t, --dest-type TYPE
    Typen av PID vars cookie kommer att ändras. Detta kan vara ett av tre värden:

        • pid, eller process-ID

        • tgid, eller trådgrupps-ID (standardvärde)

        • pgid, eller processgrupps-ID

-v, --verbose
    Visa extra information när du ändrar cookies för uppgifter.

-h, --help
    Visa hjälptext och avsluta.

-V, --version
    Visa version och avsluta.

EXEMPEL

Hämta den centrala schemaläggningskakan för själva coresched-uppgiften, vanligtvis ärvd från dess förälder:
    coresched get

Hämta cookie för kärnschemaläggning för en uppgift med PID 123:
    coresched get -s 123

Ge en uppgift med PID 123 en ny cookie för kärnschemaläggning:
    coresched new -d 123

Starta en ny uppgift med en ny cookie för kärnschemaläggning:
    coresched new -- kommando [argument...]

Kopiera cookien från den aktuella processen coresched till en annan uppgift med pid 456:
    coresched copy -d 456

Kopiera cookien från en uppgift med pid 123 till en annan uppgift med pid 456:
    coresched copy -s 123 -d 456

Kopiera cookien från en uppgift med pid 123 till en ny uppgift kommando:
    coresched copy -s 123 -- kommando [argument...]

Kopiera cookien från en uppgift med pid 123 till processgrupp-ID 456:
    coresched copy -s 123 -t pgid -d 456

TILLSTÅND

För att hämta eller ändra en process cookie för kärnschemaläggning krävs PTRACE_MODE_READ_REALCREDS ptrace-åtkomst till den processen. Se avsnittet "Ptrace access mode checking" i ptrace(2) för mer information.

AVSLUTSSTATUS

Om coresched lyckas returnerar den 0. Om coresched misslyckas skriver den ut ett felmeddelande och returnerar 1.

Om ett kommando utförs, kommer returvärdet för coresched att vara returvärdet för kommandot.

ANTECKNINGAR

coresched kräver stöd för kärnschemaläggning i kärnan. Detta kan aktiveras via kärnkonfigurationsflaggan CONFIG_SCHED_CORE.

UPPHOVSPERSONER

UPPHOVSRÄTT

Copyright © 2024 Thijs Raymakers och Phil Auld. Detta är fri programvara licensierad under EUPL.

SE ÄVEN

chrt(1), nice(1), renice(1), taskset(1), ptrace(2), sched(7)

Linux-kärnans källfiler Documentation/admin-guide/hw-vuln/core-scheduling.rst

FELRAPPORTERING

För felrapporter, använd

TILLGÄNGLIGHET

Kommandot coresched ingår i paketet util-linux som kan hämtas från